Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::v3::basic_scope_exit< EF, Policy > Class Template Reference
Inheritance diagram for ranges::v3::basic_scope_exit< EF, Policy >:

## Public Member Functions
| basic_scope_exit (EF const &ef) noexcept(std::is_nothrow_copy_constructible< EF >::value)
| basic_scope_exit (EF &&ef) noexcept(std::is_nothrow_move_constructible< EF >::value)
| basic_scope_exit (basic_scope_exit &&that) noexcept(std::is_nothrow_move_constructible< EF >::value)
| basic_scope_exit (basic_scope_exit const &)=delete
basic_scope_exit & | operator= (basic_scope_exit const &)=delete
basic_scope_exit & | operator= (basic_scope_exit &&)=delete